<?php
defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

if ( ! function_exists( 'safelayout_preloader_set_inline_icon_group2' ) ) {

	// Return icon css
	function safelayout_preloader_set_inline_icon_group2( $options ) {
		?>
		.sl-pl-spin-container {
			left: 50%;
			position: absolute;
			text-align: center;
			top: 50%;
			transform: translate(-50%, -50%);
			-webkit-transform: translate(-50%, -50%);
			width: 100%;
		}
		.sl-pl-spin {
			display: inline-block;
			height: 50px;
			position: relative;
			width: 50px;
		}
		.sl-pl-custom {
			display: inline-block;
		}
		<?php
		switch ( $options ) {
			case 'balloons':
				?>
				#sl-pl-balloons span {
					animation: sl-pl-balloons-anim 1.2s linear infinite;
					-webkit-animation: sl-pl-balloons-anim 1.2s linear infinite;
					border-radius: 50%;
					height: 30%;
					left: 0;
					position: absolute;
					top: 35%;
					width: 30%;
				}
				#sl-pl-balloons span:nth-child(2) {
					animation-delay: -0.3s;
					-webkit-animation-delay: -0.3s;
					left: 35%;
				}
				#sl-pl-balloons span:nth-child(3) {
					animation-delay: -0.6s;
					-webkit-animation-delay: -0.6s;
					left: 70%;
				}
				@-webkit-keyframes sl-pl-balloons-anim {
					50% {
						opacity: 0.3;
						-webkit-transform: scale(0.3);
					}
					0%,
					100% {
						-webkit-transform: scale(1);
					}
				}
				@keyframes sl-pl-balloons-anim {
					50% {
						opacity: 0.3;
						transform: scale(0.3);
					}
					0%,
					100% {
						transform: scale(1);
					}
				}
				<?php
				break;
			case '3d-bar':
				?>
				#sl-pl-3d-bar div {
					height: 44%;
					left: 44%;
					perspective: 85px;
					-webkit-perspective: 85px;
					position: absolute;
					top: 50%;
					width: 12%;
				}
				#sl-pl-3d-bar span {
					animation: sl-pl-3d-bar-anim 1.5s linear infinite;
					-webkit-animation: sl-pl-3d-bar-anim 1.5s linear infinite;
					height: 100%;
					left: 0;
					position: absolute;
					transform-origin: 50% 50% 25px;
					-webkit-transform-origin: 50% 50% 25px;
					width: 100%;
				}
				#sl-pl-3d-bar div:nth-child(2) span {
					animation-delay: -0.12s;
					-webkit-animation-delay: -0.12s;
				}
				#sl-pl-3d-bar div:nth-child(3) span {
					animation-delay: -0.24s;
					-webkit-animation-delay: -0.24s;
				}
				#sl-pl-3d-bar div:nth-child(4) span {
					animation-delay: -0.36s;
					-webkit-animation-delay: -0.36s;
				}
				#sl-pl-3d-bar div:nth-child(5) span {
					animation-delay: -0.48s;
					-webkit-animation-delay: -0.48s;
				}
				@-webkit-keyframes sl-pl-3d-bar-anim {
					0% {
						-webkit-transform: rotateX(15deg) rotateY(0);
					}
					100% {
						-webkit-transform: rotateX(15deg) rotateY(360deg);
					}
				}
				@keyframes sl-pl-3d-bar-anim {
					0% {
						transform: rotateX(15deg) rotateY(0);
					}
					100% {
						transform: rotateX(15deg) rotateY(360deg);
					}
				}
				<?php
				break;
			case 'gear':
				?>
				#sl-pl-gear span {
					animation: sl-pl-gear-anim 1.2s steps(12, end) infinite;
					-webkit-animation: sl-pl-gear-anim 1.2s steps(12, end) infinite;
					border-radius: 50%;
					height: 25%;
					left: 47%;
					position: absolute;
					transform-origin: 50% 200%;
					-webkit-transform-origin: 50% 200%;
					width: 6%;
				}
				#sl-pl-gear span:nth-child(2) {
					animation-delay: -0.1s;
					-webkit-animation-delay: -0.1s;
					opacity: 0.1;
				}
				#sl-pl-gear span:nth-child(3) {
					animation-delay: -0.2s;
					-webkit-animation-delay: -0.2s;
					opacity: 0.1;
				}
				#sl-pl-gear span:nth-child(4) {
					animation-delay: -0.3s;
					-webkit-animation-delay: -0.3s;
					opacity: 0.2;
				}
				#sl-pl-gear span:nth-child(5) {
					animation-delay: -0.4s;
					-webkit-animation-delay: -0.4s;
					opacity: 0.3;
				}
				#sl-pl-gear span:nth-child(6) {
					animation-delay: -0.5s;
					-webkit-animation-delay: -0.5s;
					opacity: 0.4;
				}
				#sl-pl-gear span:nth-child(7) {
					animation-delay: -0.6s;
					-webkit-animation-delay: -0.6s;
					opacity: 0.5;
				}
				#sl-pl-gear span:nth-child(8) {
					animation-delay: -0.7s;
					-webkit-animation-delay: -0.7s;
					opacity: 0.6;
				}
				#sl-pl-gear span:nth-child(9) {
					animation-delay: -0.8s;
					-webkit-animation-delay: -0.8s;
					opacity: 0.7;
				}
				#sl-pl-gear span:nth-child(10) {
					animation-delay: -0.9s;
					-webkit-animation-delay: -0.9s;
					opacity: 0.8;
				}
				#sl-pl-gear span:nth-child(11) {
					animation-delay: -1s;
					-webkit-animation-delay: -1s;
					opacity: 0.9;
				}
				#sl-pl-gear span:nth-child(12) {
					animation-delay: -1.1s;
					-webkit-animation-delay: -1.1s;
					opacity: 0.95;
				}
				@-webkit-keyframes sl-pl-gear-anim {
					0% {
						-webkit-transform: rotate(0);
					}
					100% {
						-webkit-transform: rotate(360deg);
					}
				}
				@keyframes sl-pl-gear-anim {
					0% {
						transform: rotate(0);
					}
					100% {
						transform: rotate(360deg);
					}
				}
				<?php
				break;
			case 'trail':
				?>
				#sl-pl-trail span {
					animation: sl-pl-trail-anim 1.2s steps(12, end) infinite;
					-webkit-animation: sl-pl-trail-anim 1.2s steps(12, end) infinite;
					border-radius: 50%;
					height: 16%;
					left: 42%;
					position: absolute;
					transform-origin: 50% 310%;
					-webkit-transform-origin: 50% 310%;
					width: 16%;
				}
				#sl-pl-trail span:nth-child(2) {
					animation-delay: -0.1s;
					-webkit-animation-delay: -0.1s;
					opacity: 0.1;
				}
				#sl-pl-trail span:nth-child(3) {
					animation-delay: -0.2s;
					-webkit-animation-delay: -0.2s;
					opacity: 0.1;
				}
				#sl-pl-trail span:nth-child(4) {
					animation-delay: -0.3s;
					-webkit-animation-delay: -0.3s;
					opacity: 0.2;
				}
				#sl-pl-trail span:nth-child(5) {
					animation-delay: -0.4s;
					-webkit-animation-delay: -0.4s;
					opacity: 0.3;
				}
				#sl-pl-trail span:nth-child(6) {
					animation-delay: -0.5s;
					-webkit-animation-delay: -0.5s;
					opacity: 0.4;
				}
				#sl-pl-trail span:nth-child(7) {
					animation-delay: -0.6s;
					-webkit-animation-delay: -0.6s;
					opacity: 0.5;
				}
				#sl-pl-trail span:nth-child(8) {
					animation-delay: -0.7s;
					-webkit-animation-delay: -0.7s;
					opacity: 0.6;
				}
				#sl-pl-trail span:nth-child(9) {
					animation-delay: -0.8s;
					-webkit-animation-delay: -0.8s;
					opacity: 0.7;
				}
				#sl-pl-trail span:nth-child(10) {
					animation-delay: -0.9s;
					-webkit-animation-delay: -0.9s;
					opacity: 0.8;
				}
				#sl-pl-trail span:nth-child(11) {
					animation-delay: -1s;
					-webkit-animation-delay: -1s;
					opacity: 0.9;
				}
				#sl-pl-trail span:nth-child(12) {
					animation-delay: -1.1s;
					-webkit-animation-delay: -1.1s;
					opacity: 0.95;
				}
				@-webkit-keyframes sl-pl-trail-anim {
					0% {
						-webkit-transform: rotate(0);
					}
					100% {
						-webkit-transform: rotate(360deg);
					}
				}
				@keyframes sl-pl-trail-anim {
					0% {
						transform: rotate(0);
					}
					100% {
						transform: rotate(360deg);
					}
				}
				<?php
				break;
			case 'bubble':
				?>
				#sl-pl-bubble svg {
					height: 140%;
					left: -20%;
					position: absolute;
					top: -20%;
					width: 140%;
				}
				#sl-pl-bubble circle {
					animation: sl-pl-bubble-anim 1.4s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					-webkit-animation: sl-pl-bubble-anim 1.4s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					fill: none;
					stroke-width: 5px;
					transform-origin: 50% 50%;
					-webkit-transform-origin: 50% 50%;
				}
				#sl-pl-bubble circle:nth-child(2) {
					animation-delay: 0.5s;
					-webkit-animation-delay: 0.5s;
					transform: scale(0);
					-webkit-transform: scale(0);
				}
				@-webkit-keyframes sl-pl-bubble-anim {
					0% {
						opacity: 1;
						stroke-width: 5px;
						-webkit-transform: scale(0);
					}
					30% {
						opacity: 1;
						stroke-width: 5px;
					}
					100% {
						opacity: 0.5;
						stroke-width: 0.1px;
						-webkit-transform: scale(1);
					}
				}
				@keyframes sl-pl-bubble-anim {
					0% {
						opacity: 1;
						stroke-width: 5px;
						transform: scale(0);
					}
					30% {
						opacity: 1;
						stroke-width: 5px;
					}
					100% {
						opacity: 0.5;
						stroke-width: 0.1px;
						transform: scale(1);
					}
				}
				<?php
				break;
			case 'bubble1':
				?>
				#sl-pl-bubble1 span {
					animation: sl-pl-bubble1-anim 1.4s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					-webkit-animation: sl-pl-bubble1-anim 1.4s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					border-radius: 50%;
					height: 100%;
					left: 0;
					position: absolute;
					width: 100%;
				}
				#sl-pl-bubble1 span:nth-child(2) {
					animation-delay: -0.5s;
					-webkit-animation-delay: -0.5s;
				}
				@-webkit-keyframes sl-pl-bubble1-anim {
					0% {
						opacity: 1;
						-webkit-transform: scale(0);
					}
					20% {
						opacity: 1;
					}
					100% {
						opacity: 0;
						-webkit-transform: scale(1);
					}
				}
				@keyframes sl-pl-bubble1-anim {
					0% {
						opacity: 1;
						transform: scale(0);
					}
					20% {
						opacity: 1;
					}
					100% {
						opacity: 0;
						transform: scale(1);
					}
				}
				<?php
				break;
			case 'bubble2':
				?>
				#sl-pl-bubble2 div {
					height: 132%;
					left: -16%;
					position: absolute;
					top: -16%;
					width: 132%;
				}
				#sl-pl-bubble2 span {
					animation: sl-pl-bubble2-anim 1.6s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					-webkit-animation: sl-pl-bubble2-anim 1.6s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					border-radius: 50%;
					height: 100%;
					left: 0;
					position: absolute;
					width: 100%;
				}
				#sl-pl-bubble2 span:nth-child(2) {
					animation-delay: 0.3s;
					-webkit-animation-delay: 0.3s;
					opacity: 0;
				}
				#sl-pl-bubble2 div span {
					animation: none;
					-webkit-animation: none;
					background-clip: text !important;
					-webkit-background-clip: text !important;
					border-radius: 0;
					height: 23%;
					left: 48.5%;
					position: absolute;
					top: 28%;
					transform-origin: 50% 100%;
					-webkit-transform-origin: 50% 100%;
					width: 3%;
				}
				#sl-pl-bubble2 div span::after {
					animation: sl-pl-bubble2-anim-explode 1.6s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					-webkit-animation: sl-pl-bubble2-anim-explode 1.6s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
					background-color: inherit;
					background-image: inherit;
					content: "";
					height: 100%;
					left: 0;
					position: absolute;
					transform-origin: 50% 0;
					-webkit-transform-origin: 50% 0;
					width: 100%;
				}
				#sl-pl-bubble2 div span:nth-child(2) {
					transform: rotate(36deg);
					-webkit-transform: rotate(36deg);
					opacity: 1;
				}
				#sl-pl-bubble2 div span:nth-child(3) {
					transform: rotate(72deg);
					-webkit-transform: rotate(72deg);
				}
				#sl-pl-bubble2 div span:nth-child(4) {
					transform: rotate(108deg);
					-webkit-transform: rotate(108deg);
				}
				#sl-pl-bubble2 div span:nth-child(5) {
					transform: rotate(144deg);
					-webkit-transform: rotate(144deg);
				}
				#sl-pl-bubble2 div span:nth-child(6) {
					transform: rotate(180deg);
					-webkit-transform: rotate(180deg);
				}
				#sl-pl-bubble2 div span:nth-child(7) {
					transform: rotate(216deg);
					-webkit-transform: rotate(216deg);
				}
				#sl-pl-bubble2 div span:nth-child(8) {
					transform: rotate(252deg);
					-webkit-transform: rotate(252deg);
				}
				#sl-pl-bubble2 div span:nth-child(9) {
					transform: rotate(288deg);
					-webkit-transform: rotate(288deg);
				}
				#sl-pl-bubble2 div span:nth-child(10) {
					transform: rotate(324deg);
					-webkit-transform: rotate(324deg);
				}
				@-webkit-keyframes sl-pl-bubble2-anim {
					0% {
						opacity: 1;
						-webkit-transform: scale(0);
					}
					10% {
						opacity: 1;
					}
					90%, 100% {
						opacity: 0;
						-webkit-transform: scale(1);
					}
				}
				@keyframes sl-pl-bubble2-anim {
					0% {
						opacity: 1;
						transform: scale(0);
					}
					10% {
						opacity: 1;
					}
					90%, 100% {
						opacity: 0;
						transform: scale(1);
					}
				}
				@-webkit-keyframes sl-pl-bubble2-anim-explode {
					0%, 44% {
						opacity: 0;
					}
					45% {
						opacity: 1;
						-webkit-transform: translateY(-40%) scale(1, 1);
					}
					95%, 100% {
						-webkit-transform: translateY(-110%) scale(1, 0);
					}
				}
				@keyframes sl-pl-bubble2-anim-explode {
					0%, 44% {
						opacity: 0;
					}
					45% {
						opacity: 1;
						transform: translateY(-40%) scale(1, 1);
					}
					95%, 100% {
						transform: translateY(-110%) scale(1, 0);
					}
				}
				<?php
				break;
			case 'octagon':
				?>
				#sl-pl-octagon div {
					animation: sl-pl-octagon-anim 3.5s linear infinite;
					-webkit-animation: sl-pl-octagon-anim 3.5s linear infinite;
					height: 100%;
					position: absolute;
					width: 100%;
				}
				#sl-pl-octagon span {
					background-clip: text !important;
					-webkit-background-clip: text !important;
					height: 100%;
					left: 0;
					overflow: hidden;
					position: absolute;
					width: 100%;
				}
				#sl-pl-octagon span::after {
					animation: sl-pl-octagon-anim-stroke 3.5s linear infinite;
					-webkit-animation: sl-pl-octagon-anim-stroke 3.5s linear infinite;
					background-color: inherit;
					background-image: inherit;
					content: "";
					height: 100%;
					left: 0;
					position: absolute;
					transform: translateY(-95%);
					-webkit-transform: translateY(-95%);
					width: 4%;
				}
				#sl-pl-octagon span:nth-child(2) {
					transform: rotate(45deg);
					-webkit-transform: rotate(45deg);
				}
				#sl-pl-octagon span:nth-child(3) {
					transform: rotate(90deg);
					-webkit-transform: rotate(90deg);
				}
				#sl-pl-octagon span:nth-child(4) {
					transform: rotate(135deg);
					-webkit-transform: rotate(135deg);
				}
				#sl-pl-octagon span:nth-child(5) {
					transform: rotate(180deg);
					-webkit-transform: rotate(180deg);
				}
				#sl-pl-octagon span:nth-child(6) {
					transform: rotate(225deg);
					-webkit-transform: rotate(225deg);
				}
				#sl-pl-octagon span:nth-child(7) {
					transform: rotate(270deg);
					-webkit-transform: rotate(270deg);
				}
				#sl-pl-octagon span:nth-child(8) {
					transform: rotate(315deg);
					-webkit-transform: rotate(315deg);
				}
				@-webkit-keyframes sl-pl-octagon-anim {
					0% {
						-webkit-transform: rotate(0);
					}
					25% {
						-webkit-transform: rotate(30deg);
					}
					55% {
						-webkit-transform: rotate(360deg);
					}
					90% {
						-webkit-transform: rotate(650deg);
					}
					100% {
						-webkit-transform: rotate(720deg);
					}
				}
				@keyframes sl-pl-octagon-anim {
					0% {
						transform: rotate(0);
					}
					25% {
						transform: rotate(30deg);
					}
					55% {
						transform: rotate(360deg);
					}
					90% {
						transform: rotate(650deg);
					}
					100% {
						transform: rotate(720deg);
					}
				}
				@-webkit-keyframes sl-pl-octagon-anim-stroke {
					0% {
						-webkit-transform: translateY(95%);
					}
					25% {
						-webkit-transform: translateY(0);
					}
					55% {
						-webkit-animation-timing-function: cubic-bezier(0.22, 0.61, 0.36, 1);
						-webkit-transform: translateY(0);
					}
					90%, 100% {
						-webkit-transform: translateY(-95%);
					}
				}
				@keyframes sl-pl-octagon-anim-stroke {
					0% {
						transform: translateY(95%);
					}
					25% {
						transform: translateY(0);
					}
					55% {
						animation-timing-function: cubic-bezier(0.22, 0.61, 0.36, 1);
						transform: translateY(0);
					}
					90%, 100% {
						transform: translateY(-95%);
					}
				}
				<?php
				break;
			case 'octagon1':
				?>
				#sl-pl-octagon1 {
					perspective: 200px;
					-webkit-perspective: 200px;
				}
				#sl-pl-octagon1 div {
					height: 100%;
					position: absolute;
					transform: rotateX(55deg);
					-webkit-transform: rotateX(55deg);
					width: 100%;
				}
				#sl-pl-octagon1 div div{
					animation: sl-pl-octagon1-anim 3.5s linear infinite;
					-webkit-animation: sl-pl-octagon1-anim 3.5s linear infinite;
				}
				#sl-pl-octagon1 span {
					background-clip: text !important;
					-webkit-background-clip: text !important;
					height: 100%;
					left: 0;
					overflow: hidden;
					position: absolute;
					width: 100%;
				}
				#sl-pl-octagon1 span::after {
					animation: sl-pl-octagon1-anim-stroke 3.5s linear infinite;
					-webkit-animation: sl-pl-octagon1-anim-stroke 3.5s linear infinite;
					background-color: inherit;
					background-image: inherit;
					content: "";
					height: 100%;
					left: 0;
					position: absolute;
					transform: translateY(-95%);
					-webkit-transform: translateY(-95%);
					width: 8%;
				}
				#sl-pl-octagon1 span:nth-child(2) {
					transform: rotate(45deg);
					-webkit-transform: rotate(45deg);
				}
				#sl-pl-octagon1 span:nth-child(3) {
					transform: rotate(90deg);
					-webkit-transform: rotate(90deg);
				}
				#sl-pl-octagon1 span:nth-child(4) {
					transform: rotate(135deg);
					-webkit-transform: rotate(135deg);
				}
				#sl-pl-octagon1 span:nth-child(5) {
					transform: rotate(180deg);
					-webkit-transform: rotate(180deg);
				}
				#sl-pl-octagon1 span:nth-child(6) {
					transform: rotate(225deg);
					-webkit-transform: rotate(225deg);
				}
				#sl-pl-octagon1 span:nth-child(7) {
					transform: rotate(270deg);
					-webkit-transform: rotate(270deg);
				}
				#sl-pl-octagon1 span:nth-child(8) {
					transform: rotate(315deg);
					-webkit-transform: rotate(315deg);
				}
				@-webkit-keyframes sl-pl-octagon1-anim {
					0% {
						-webkit-transform: rotate(0);
					}
					25% {
						-webkit-transform: rotate(30deg);
					}
					55% {
						-webkit-transform: rotate(360deg);
					}
					90% {
						-webkit-transform: rotate(650deg);
					}
					100% {
						-webkit-transform: rotate(720deg);
					}
				}
				@keyframes sl-pl-octagon1-anim {
					0% {
						transform: rotate(0);
					}
					25% {
						transform: rotate(30deg);
					}
					55% {
						transform: rotate(360deg);
					}
					90% {
						transform: rotate(650deg);
					}
					100% {
						transform: rotate(720deg);
					}
				}
				@-webkit-keyframes sl-pl-octagon1-anim-stroke {
					0% {
						-webkit-transform: translateY(95%);
					}
					25% {
						-webkit-transform: translateY(0);
					}
					55% {
						-webkit-animation-timing-function: cubic-bezier(0.22, 0.61, 0.36, 1);
						-webkit-transform: translateY(0);
					}
					90%, 100% {
						-webkit-transform: translateY(-95%);
					}
				}
				@keyframes sl-pl-octagon1-anim-stroke {
					0% {
						transform: translateY(95%);
					}
					25% {
						transform: translateY(0);
					}
					55% {
						animation-timing-function: cubic-bezier(0.22, 0.61, 0.36, 1);
						transform: translateY(0);
					}
					90%, 100% {
						transform: translateY(-95%);
					}
				}
				<?php
				break;
		}//end of switch
	}
}