<?php
defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

if ( ! function_exists( 'safelayout_preloader_set_inline_style' ) ) {

	function safelayout_preloader_set_inline_style( $options ) {
		?>
		<style id = "safelayout-cute-preloader-inline-css">
		#sl-preloader {
			height: 100%;
			left: 0;
			position: fixed;
			top: 0;
			width: 100%;
			z-index: 9999999;
		}
		.sl-pl-close-icon {
			border: 1px solid blue;
			cursor: pointer;
			fill: transparent;
			height: 30px;
			stroke-linecap: round;
			stroke-width: 5;
			stroke: red;
			width: 30px;
		}
		#sl-pl-close-button {
			display: none;
			position: fixed;
			right: 10px;
			top: 10px;
			z-index: 999;
		}
		.sl-pl-loaded #sl-pl-counter,
		.sl-pl-loaded #sl-pl-close-button,
		.sl-pl-loaded .sl-pl-bar-container,
		.sl-pl-loaded .sl-pl-spin-container {
			opacity: 0;
			transition: opacity 1s ease-out 0.2s;
		}
		<?php
		// set background css ( opacity, background-color )
		if ( $options['background_anim'] != 'none' ) {
			require_once SAFELAYOUT_PRELOADER_PATH . 'inc/safelayout-preloader-set-inline-background.php';
			safelayout_preloader_set_inline_background( $options['background_anim'] );
		}

		// set icon css ( animation, ... )
		if ( $options['icon'] != 'none' ) {
			$group1 = array( 'crawl', '3d-plate', 'wheel', 'spinner', 'turn', 'turn1', 'jump',
				'infinite', 'blade-vertical', 'blade-vertical1', 'blade-horizontal', 'blade-horizontal1', );
			$group2 = array( 'balloons', '3d-bar', 'gear', 'trail', 'bubble', 'bubble1',
				'bubble2', 'octagon', 'octagon1', );

			if ( in_array( $options['icon'], $group1 ) ) {
				require_once SAFELAYOUT_PRELOADER_PATH . 'inc/safelayout-preloader-set-inline-icon-group1.php';
				safelayout_preloader_set_inline_icon_group1( $options['icon'] );
			} else if ( in_array( $options['icon'], $group2 ) ) {
				require_once SAFELAYOUT_PRELOADER_PATH . 'inc/safelayout-preloader-set-inline-icon-group2.php';
				safelayout_preloader_set_inline_icon_group2( $options['icon'] );
			} else {
				require_once SAFELAYOUT_PRELOADER_PATH . 'inc/safelayout-preloader-set-inline-icon-group3.php';
				safelayout_preloader_set_inline_icon_group3( $options['icon'] );
			}
		}

		// set text css ( animation, ... )
		if ( trim( $options['text'] ) !== '' ) {
			require_once SAFELAYOUT_PRELOADER_PATH . 'inc/safelayout-preloader-set-inline-text.php';
			safelayout_preloader_set_inline_text( $options['text_anim'] );
		}

		// set brand image css ( animation, ... )
		if ( trim( $options['brand_url'] ) !== '' ) {
			require_once SAFELAYOUT_PRELOADER_PATH . 'inc/safelayout-preloader-set-inline-brand.php';
			safelayout_preloader_set_inline_brand( $options['brand_anim'] );
		}

		// set progress bar css ( animation, ... )
		if ( $options['bar_shape'] != 'No' ) {
			require_once SAFELAYOUT_PRELOADER_PATH . 'inc/safelayout-preloader-set-inline-bar.php';
			safelayout_preloader_set_inline_bar( $options );
		}

		// set counter css
		if ( $options['counter'] === 'enable') {
		?>
		#sl-pl-counter {
			position: relative;
			line-height: normal;
			white-space: nowrap;
			width: 100%;
		}
		#sl-pl-counter span{
			font-size: inherit;
			color: inherit;
		}
		#sl-pl-bar-middle-container {
			position: relative;
		}
		<?php
		}
		echo '</style>' . PHP_EOL;
	}
}